DefaultBackoffStrategy (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class DefaultBackoffStrategy

    java.lang.Object
      org.apache.http.impl.client.DefaultBackoffStrategy

All Implemented Interfaces:
  ConnectionBackoffStrategy

    public class DefaultBackoffStrategy

extends Object
implements ConnectionBackoffStrategy

This `ConnectionBackoffStrategy` backs off either for a raw network socket or connection timeout or if the server explicitly sends a 503 (Service Unavailable) response.

Since:
  4.2

Constructor Summary
`DefaultBackoffStrategy()`

Method Summary
`boolean` | `shouldBackoff(org.apache.http.HttpResponse resp)` Determines whether receiving the given `HttpResponse` as a result of request execution should result in a backoff signal.
`boolean` | `shouldBackoff(Throwable t)` Determines whether seeing the given `Throwable` as a result of request execution should result in a backoff signal.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultBackoffStrategy

    public DefaultBackoffStrategy()

Method Detail

### shouldBackoff

    public boolean shouldBackoff(Throwable t)

  Description copied from interface: `ConnectionBackoffStrategy`
  Determines whether seeing the given `Throwable` as a result of request execution should result in a backoff signal.

  Specified by:
    `shouldBackoff` in interface `ConnectionBackoffStrategy`
  Parameters:
    `t` - the `Throwable` that happened
  Returns:
    `true` if a backoff signal should be given

### shouldBackoff

    public boolean shouldBackoff(org.apache.http.HttpResponse resp)

  Description copied from interface: `ConnectionBackoffStrategy`
  Determines whether receiving the given `HttpResponse` as a result of request execution should result in a backoff signal. Implementations MUST restrict themselves to examining the response header and MUST NOT consume any of the response body, if any.

  Specified by:
    `shouldBackoff` in interface `ConnectionBackoffStrategy`
  Parameters:
    `resp` - the `HttpResponse` that was received
  Returns:
    `true` if a backoff signal should be given

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.